BackendHTTP APIProviders
List provider templates
Returns the template functions available in the catalog for a provider.
GET
Returns the template functions available in the catalog for a provider. Requires a valid API key (no specific scope).
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
provider*stringThe provider name.
Successfully returned the provider's template functions
application/json- response
data*array<|>curl -X GET 'https://api.tenklo.dev/providers/string/templates'Example Response
{ "data": [ { "name": "string", "description": "string", "scopes": [ "string" ], "type": "sync", "input": "string", "returns": [ "string" ], "json_schema": {}, "runs": "string", "auto_start": true, "track_deletes": true } ]}